package	jp.co.sds_corp.hibiya.monitor;

/**
* {@link ListTable}に表示されるカラムの情報を保持します。
*/
public class Column
{
	public Column( String name ) {
		this( name, false );
	}

	public Column( String name, boolean mask ) {
		this.name = name;
		this.mask = mask;
	}

	String	name;	// 名前
	boolean	mask;	// 表示をマスク
	int	width;	// 表示幅
	int	order;	// 表示順

	/**
	* 名前を設定します。
	* @param	var		設定するデータ
	*/
	public void setName( String var ) {
		this.name = var;
	}
	/**
	* 名前を取得します。
	* @return	名前
	*/
	public String getName() {
		return name;
	}

	/**
	* 表示をマスクを設定します。
	* @param	var		設定するデータ
	*/
	public void setMask( boolean var ) {
		this.mask = var;
	}
	/**
	* 表示をマスクを取得します。
	* @return	表示をマスク
	*/
	public boolean isMask() {
		return mask;
	}

	/**
	* 表示幅を設定します。
	* @param	var		設定するデータ
	*/
	public void setWidth( int var ) {
		this.width = var;
	}
	/**
	* 表示幅を取得します。
	* @return	表示幅
	*/
	public int getWidth() {
		return width;
	}

	/**
	* 表示順を設定します。
	* @param	var		設定するデータ
	*/
	public void setOrder( int var ) {
		this.order = var;
	}
	/**
	* 表示順を取得します。
	* @return	表示順
	*/
	public int getOrder() {
		return order;
	}

}
